<?php
/**
 * Descriptions
 * @author yzxh24
 * @email yzxh24@gmail.com
 * @created 2011-11-04 14:09:47
 */
class CreateAction extends BaseAction
{
    public function run()
    {
        //put your code here
        $model = new Task();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Task']))
		{
			$model->attributes = $_POST['Task'];
			if($model->save())
            {
				$this->getController()->redirect(array('list'));
            }
		}

		$this->getController()->render('create',array(
			'model'=>$model,
		));
    }
}